package io.irandom.protocol;

import io.core.protocol.*;
import io.core.messaging.TheaterLocator;
import io.random.protocol.RandomSteal;

public class IRandomSteal extends RandomSteal {

	public double foreignUnusedProcessing;
	public double foreignUnusedBandwidth;

	public IRandomSteal(TheaterLocator _origin, double _foreignUnusedProcessing, double _foreignUnusedBandwidth) {
		super(_origin);

		foreignUnusedProcessing = _foreignUnusedProcessing;
		foreignUnusedBandwidth = _foreignUnusedBandwidth;
	}
}
